Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04556 Interface Minor Always 2011-12-14 16:22 2011-12-22 20:00
Tester pri88 View Status Public Platform MAMEUI
Assigned To hap Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver
Version 0.144u3 Fixed in Version 0.144u4 Build
Summary 04556: Changing INC and DEC inputs, results in .cfg file issue
Description within the mame config menu, if you change any of the INC and DEC button mappings, then subsequently the saved .cfg files (eg. default.cfg) will show the INC and DEC button mappings the opposite way around (see the pic below), as if you mapped them incorrectly.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.125u2
Affected Sets / Systems
Attached Files
png file icon pic3.png (15,624 bytes)  2011-12-14 16:31 by pri88
pri88


-  Notes
User avatar (07962)
Tafoid (Administrator)
2011-12-14 22:37

Does this happen only with default.cfg, or using Input (this game) for a specific game as well?
User avatar (07963)
hap (Developer)
2011-12-14 23:06

confirmed that INC/DEC remapping is problematic with at least default.cfg
User avatar (07965)
Tafoid (Administrator)
2011-12-15 00:39

Extensively tested to see when the proper mapping in .CFG is read incorrectly and it first happens in 0.125u2. There were major input changes made in that version.

Funny thing I notice in this bug, that even if it's 'backwards' in the .CFG file, it resorts itself in the menu - so unless you physically/manually dealt with the .CFG file, you'd never know something was wrong.
User avatar (07967)
pri88 (Viewer)
2011-12-15 15:54

sorry for the delay, i have been away

yes it happens in both the default.cfg file and individual game configs also

it's a funny problem as the games still work ok regardless, but a bug is a bug :)